Package com.saxonica.ee.schema.sdoc

## Class SchemaDocument

- java.lang.Object
- - com.saxonica.ee.schema.sdoc.SchemaDocument

-     public class SchemaDocument
      extends java.lang.Object

  An XML document containing a module of an XML Schema. This object is a simple wrapper around the document node of the tree representing the parsed XML schema document, and is used to provide type-safety and a level of abstraction for the interfaces that use it.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaDocument​(TreeInfo doc)` | Create a SchemaDocument from a given document.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TreeInfo` | `getDocument()` | Get the document wrapped by this SchemaDocument
    `java.lang.String` | `getTargetNamespace()` | Get the target namespace of the schema document
    `XSDSchema` | `getXSDSchema()` | Get the xs:schema element within the schema document
    `boolean` | `isCompiledSchemaDocument()` | Ask if this is a compiled (SCM) schema document
    `boolean` | `isSourceSchemaDocument()` | Ask if this is a source schema document

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaDocument

          public SchemaDocument​(TreeInfo doc)

      Create a SchemaDocument from a given document. This document must have been built using the SchemaNodeFactory
      Parameters:
        `doc` - the document containing the xs:schema element

  - ### Method Detail

    - #### getDocument

          public TreeInfo getDocument()

      Get the document wrapped by this SchemaDocument
      Returns:
        the document

    - #### isSourceSchemaDocument

          public boolean isSourceSchemaDocument()

      Ask if this is a source schema document
      Returns:
        true if this schema document contains source XSD declarations

    - #### isCompiledSchemaDocument

          public boolean isCompiledSchemaDocument()

      Ask if this is a compiled (SCM) schema document
      Returns:
        true if this schema document contains compiled SCM declarations

    - #### getXSDSchema

          public XSDSchema getXSDSchema()

      Get the xs:schema element within the schema document
      Returns:
        the XSDSchema object representing the xs:schema element, or null if the SchemaDocument does not contain an xs:schema element (for example if it contains a compiled schema)

    - #### getTargetNamespace

          public java.lang.String getTargetNamespace()

      Get the target namespace of the schema document
      Returns:
        the target namespace in the xs:schema element of the schema document